> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 도메인 조회

> 고객용 도메인 세부 정보를 반환합니다.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ko.json GET /v1/public/accounts/{account_id}/domains/{domain}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains/{domain}:
    get:
      tags:
        - public-accounts
        - public-domains
      summary: 도메인 조회
      description: 고객용 도메인 세부 정보를 반환합니다.
      operationId: get_public_domain_v1_public_accounts__account_id__domains__domain__get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: domain
          required: true
          schema:
            title: Domain
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainDetailResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainDetailResponse:
      properties:
        auto_renew:
          default: false
          description: 도메인 자동 갱신 활성화 여부
          title: 자동 갱신
          type: boolean
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          description: 도메인 생성 타임스탬프
          title: 생성일
        dedicated_ip_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: 할당된 전용 IP UUID(있는 경우)
          title: 전용 IP Id
        dns_records:
          description: 도메인에 대한 DNS 레코드
          items:
            $ref: '#/components/schemas/DomainDnsRecordResponse'
          title: DNS 레코드
          type: array
        id:
          description: 도메인 UUID
          format: uuid
          title: ID
          type: string
        inbound_tenant_external_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 인바운드 테넌트의 공급자 외부 ID
          title: 인바운드 테넌트 외부 ID
        inbound_tenant_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: 인바운드 테넌트 UUID(할당된 경우)
          title: 인바운드 테넌트 ID
        inbound_tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          description: 인바운드 테넌트 표시 이름(할당된 경우)
          title: 인바운드 테넌트 이름
        inbound_tenant_type:
          anyOf:
            - type: string
            - type: 'null'
          description: 인바운드 테넌트 유형(할당된 경우)
          title: 인바운드 테넌트 유형
        mailboxes:
          description: 도메인의 사서함
          items:
            $ref: '#/components/schemas/DomainMailboxSummary'
          title: 메일박스
          type: array
        name:
          description: 도메인 이름
          title: 이름
          type: string
        outbound_routing_ready:
          description: 아웃바운드 라우팅 준비 여부
          title: 아웃바운드 라우팅 준비 완료
          type: boolean
        redirect_mode:
          anyOf:
            - enum:
                - '301'
                - '302'
                - iframe
              type: string
            - type: 'null'
          description: 구성된 리디렉션 모드(있는 경우)
          title: 리디렉션 모드
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          description: 구성된 리디렉션 URL(있는 경우)
          title: 리디렉션 URL
        status:
          description: 도메인 수명주기 상태
          title: 상태
          type: string
        tags:
          description: 도메인에 연결된 태그
          items:
            $ref: '#/components/schemas/DomainTagResponse'
          title: 태그
          type: array
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          description: 도메인 마지막 업데이트 타임스탬프
          title: 업데이트일
        workspace_id:
          description: 도메인이 포함된 Workspace UUID
          format: uuid
          title: 워크스페이스 Id
          type: string
      required:
        - id
        - name
        - status
        - workspace_id
        - outbound_routing_ready
      title: DomainDetailResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 세부 정보
          type: array
      title: HTTP검증 오류
      type: object
    DomainDnsRecordResponse:
      description: 도메인 세부 정보에 포함된 DNS 레코드.
      properties:
        id:
          description: DNS 레코드 식별자
          title: ID
          type: integer
        is_system_managed:
          default: false
          description: 기록이 HybridBox로 관리되는지 여부
          title: 시스템 관리 여부
          type: boolean
        name:
          description: DNS 레코드 이름
          title: 이름
          type: string
        priority:
          anyOf:
            - type: integer
            - type: 'null'
          description: 해당되는 경우 DNS 레코드 우선순위
          title: 우선순위
        ttl:
          description: DNS는 TTL를 초 단위로 기록합니다.
          title: TTL
          type: integer
        type:
          description: DNS 레코드 유형
          title: 유형
          type: string
        value:
          description: DNS 레코드 값
          title: 값
          type: string
      required:
        - id
        - type
        - name
        - value
        - ttl
      title: DomainDnsRecordResponse
      type: object
    DomainMailboxSummary:
      description: 도메인 세부 정보에 포함된 메일박스 요약.
      properties:
        active:
          description: 사서함이 활성화되어 있는지 여부
          title: 활성
          type: boolean
        email:
          description: 기본 사서함 이메일 주소
          title: 이메일
          type: string
        first_name:
          description: 사서함 사용자 이름
          title: 이름
          type: string
        id:
          description: 메일박스 UUID
          format: uuid
          title: ID
          type: string
        last_name:
          description: 사서함 사용자 성
          title: 성
          type: string
      required:
        - id
        - email
        - first_name
        - last_name
        - active
      title: DomainMailboxSummary
      type: object
    DomainTagResponse:
      description: 도메인에 연결된 태그.
      properties:
        id:
          description: 태그 UUID
          format: uuid
          title: ID
          type: string
        name:
          description: 태그 표시 이름
          title: 이름
          type: string
      required:
        - id
        - name
      title: DomainTagResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 위치
          type: array
        msg:
          title: 메시지
          type: string
        type:
          title: 오류 유형
          type: string
      required:
        - loc
        - msg
        - type
      title: 검증 오류
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````